@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

:root {
  --left-bg-color: rgba(87, 84, 236, 0.7);
  --right-bg-color: rgba(43, 43, 43, 0.8);

  --left-btn-hover-color: rgba(87, 84, 236, 1);
  --right-btn-hover-color: rgba(28, 122, 28, 1);

  --hover-width: 75%;
  --other-width: 25%;
  --speed: 1000ms;
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  block-size: 100vh;

  font-family: 'Roboto', sans-serif;
  overflow: hidden;
}

.container {
  position: relative;
  inline-size: 100%;
  block-size: 100%;
  background: #333;
}

.split {
  position: absolute;
  inline-size: 50%;
  block-size: 100%;
  overflow: hidden;
}

.split.left {
  left: 0;
  background: url('./ps.jpg');
  background-repeat: no-repeat;
  background-size: cover;

}
/* Overlay */
.split.left::before {
  content: '';
  position: absolute;
  inline-size: 100%;
  block-size: 100%;
  background-color: var(--left-bg-color);
}

.split.right {
  right: 0;
  background: url('./xbox.jpg');
  background-repeat: no-repeat;
  background-size: cover;
}
/* Overlay */

.split.right::before {
  content: '';
  position: absolute;
  inline-size: 100%;
  block-size: 100%;
  background-color: var(--right-bg-color);
}


.productTitle {
  position: absolute;
  top: 20%;
  left: 50%;

  font-size: 4rem;
  color: #FFF;
  transform: translateX(-50%);
  white-space: nowrap;
}

.btn {
  position: absolute;
  top: 40%;
  left: 50%;
  
  display: flex;
  justify-content: center;
  align-items: center;

  padding: 1.5rem;
  inline-size: 15rem;

  border: #FFF solid .2rem;
  font-size: 1rem;
  font-weight: bold;
  text-transform: uppercase;
  color: #FFF;

  text-decoration: none;
  transform: translateX(-50%);
}

.split.left .btn:hover {
  background-color: var(--left-btn-hover-color);
  border-color: var(--left-btn-hover-color);
}

.split.right .btn:hover {
  background-color: var(--right-btn-hover-color);
  border-color: var(--right-btn-hover-color);
}

.split.right, 
.split.left, 
.split.right::before, 
.split.left::before {
  transition: all var(--speed) ease-in-out;
}

.hover-left .left {
  inline-size: var(--hover-width);
}

.hover-left .right {
  inline-size: var(--other-width);
}

.hover-right .right {
  inline-size: var(--hover-width);
}

.hover-right .left {
  inline-size: var(--other-width);
}

@media (max-width: 800px) {
  .productTitle {
    top: 30%;
    font-size: 2rem;
  }
  .btn {
    padding: 1.2rem;
    inline-size: 12rem;
  }
}